/*
 * endian.h
 * ǥΰ㤤б
 */
#ifndef _endian_h
#define _endian_h

#ifdef __cplusplus
extern "C" {
#endif

#ifndef WIN32

#if !defined(__BIG_ENDIAN__) && !defined(__LITTLE_ENDIAN__)
#if defined(__sparc__) || defined(__ppc__) || defined(__hppa__)
#define __BIG_ENDIAN__ (1)
#elif defined(__i386__) || defined(__gnu_linux__)
#define __LITTLE_ENDIAN__ (1)
#else
#error Unknown architecture
#endif
#endif

#endif /* WIN32 */


extern void
Reverse16(void *s);

extern void
Reverse32(void *l);


#ifdef __cplusplus
}
#endif

#endif /* _endian_h */
